Blast Azure VM
1
0
Entering edit mode
3.3 years ago

I'm using azure vm of blast, which as blast software version: 2.2.25 And I installed the most recent version of blast database.  However, when I do blasdbcmd -db nt -info I get this error: BLAST Database error: Error: Not a valid version 4 database. Can I update blastn version in this vm, or should I do this in a different VM? Thanks for the help

blast azure vm • 831 views
ADD COMMENT
1
Entering edit mode
3.3 years ago
GenoMax 142k

I don't know what you mean by azure vm of blast. If this is a regular VM otherwise, you should be able to use conda to install latest blast+ or download pre-compiled binaries if conda is not an option.

The reason things don't work is because current blast databases are v.5 and require blast+ of recent vintage. If you must use v4 databases (which are required for blast v.2.2.25) you can find an year old version on NCBI blast db site here. Be aware that NCBI does not update these old format db.

ADD COMMENT
0
Entering edit mode

Hi @GenoMax, thanks for the answer. I don't want to use v4 databases, because some species aren't correctly annotated. So, I will try to update the blast version in the vm.

ADD REPLY

Login before adding your answer.

Traffic: 1467 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6